## visad.cluster
Interface RemoteProxyAgent

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RemoteProxyAgentImpl

public interface RemoteProxyAgent
extends Remote

RemoteProxyAgent is the interface for agents on the proxy client

Method Summary
`Serializable[]` `computeRanges(Vector message)`
`Serializable[]` `doTransform()`
`RemoteClientData` `getRemoteClientData()`
`Serializable[]` `prepareAction(boolean go, boolean initialize, DataShadow shadow, ConstantMap[] cmaps, ScalarMap[] maps, Control[] controls, String name, long time_out)`
`void` `setResolutions(int[] rs)`

Method Detail

### getRemoteClientData

    public RemoteClientData getRemoteClientData()
                                         throws RemoteException

  Throws:
    `RemoteException`

### setResolutions

    public void setResolutions(int[] rs)
                        throws RemoteException

  Throws:
    `RemoteException`

### prepareAction

    public Serializable[] prepareAction(boolean go,
                                        boolean initialize,
                                        DataShadow shadow,
                                        ConstantMap[] cmaps,
                                        ScalarMap[] maps,
                                        Control[] controls,
                                        String name,
                                        long time_out)
                                 throws VisADException,
                                        RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### doTransform

    public Serializable[] doTransform()
                               throws VisADException,
                                      RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### computeRanges

    public Serializable[] computeRanges(Vector message)
                                 throws VisADException,
                                        RemoteException

  Throws:
    `VisADException`
    `RemoteException`